Extending Qt Creator Manual | Iterator

Extending Qt Creator Manual 4.5.2

# Iterator Class

(Core::BaseFileFilter::Iterator)

- List of all members, including inherited members

## Public Functions

virtual | ~Iterator()
virtual QString | fileName() const = 0
virtual QString | filePath() const = 0
virtual bool | hasNext() const = 0
virtual QString | next() = 0
virtual void | toFront() = 0

## Member Function Documentation

### `[virtual]` Iterator::~Iterator()

Destroys the instance of Iterator. The destructor is virtual.

### `[pure virtual]` QString Iterator::fileName() const

### `[pure virtual]` QString Iterator::filePath() const

### `[pure virtual]` bool Iterator::hasNext() const

### `[pure virtual]` QString Iterator::next()

### `[pure virtual]` void Iterator::toFront()